import { OnInit } from '@angular/core';
import { TransactionCreateService } from "../../../service/transaction-create.service";
import { CoDocument } from "@colijnit/mainapi/build/model/co-document.bo";
export declare class ServiceWizardServiceFieldsComponent implements OnInit {
    protected transactionService: TransactionCreateService;
    showClass(): boolean;
    serviceMessage: string;
    documents: CoDocument[];
    constructor(transactionService: TransactionCreateService);
    ngOnInit(): Promise<void>;
    upsertDocument(document: CoDocument): Promise<void>;
    deleteDocument(document: CoDocument): Promise<void>;
}
